import { InvocationStrategy } from './types';
/**
 * Sets up a11yAudit calls using `@ember/test-helpers`' `_registerHook` API.
 *
 * @param shouldAudit Invocation strategy function that determines whether to run the audit helper or not.
 * @param audit Optional audit function used to run the audit. Allows for providing either a11yAudit, a11yAuditIf,
 *              or custom audit implementation.
 */
export declare function setupGlobalA11yHooks(shouldAudit: InvocationStrategy, audit?: (...args: any[]) => PromiseLike<void>): void;
/**
 * Function to teardown the configured hooks. Used specifically in testing.
 */
export declare function teardownGlobalA11yHooks(): void;
